%define pkg_name        Filter-Simple
%define pkg_version     0.82
%define rpm_pkg_version 0.82
%define rpm_pkg_release 18.n0i.10

Summary:       Simplified source filtering
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DC/DCONWAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Filter::Util::Call)}
%{!?_without_test:BuildRequires: perl(Text::Balanced)}


%description
Source filtering is an immensely powerful feature of recent versions
of Perl. It allows one to extend the language itself (e.g. the Switch
module), to simplify the language (e.g. Language::Pythonesque), or to
completely recast the language (e.g.  Lingua::Romana::Perligata).
Effectively, it allows one to use the full power of Perl as its own,
recursively applied, macro language.

The excellent Filter::Util::Call module (by Paul Marquess) provides a
usable Perl interface to source filtering, but it is often too
powerful and not nearly as simple as it could be.

The Filter::Simple module provides a simplified interface to
Filter::Util::Call; one that is sufficient for most common cases.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path demo/}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes demo/


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0:0.82-18.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild (and override core build)

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0:0.82-1.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.79-5.n0i.8
- automatic rebuild (perl 5.8.6)

* Mon Nov 29 2004 Marius FERARU <altblue@n0i.net> 0:0.79-5.n0i.7
- rebuild (perl 5.8.6)
- no dependencies are to be computed based on files in %%docdir

* Tue Mar 23 2004 Marius Feraru <altblue@n0i.net> 0:0.79-1.n0i.6
- version 0.79
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 3:0.79-0.n0i.5
- automatic rebuild (perl v.5.8.3)

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 3:0.79-0.n0i.4
- rebuilt on perl 5.8.2 / Fedora 1 Devel (tobe FC2)

* Sun Nov 02 2003 Marius FERARU <altblue@n0i.net> 3:0.79-0.n0i.3
- spec updates according to Fedora guidelines

* Sat Oct 18 2003 Marius FERARU <altblue@n0i.net> 0.79-0.n0i
- version 0.79
- cleaning requires/provides files
- dropped tweaking test modules' location
- dropped README from %%files as it disappeared! :)

* Sat Sep 27 2003 Marius FERARU <altblue@n0i.net> 0.78-0.n0i
- version 0.78
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
- tweaked test modules' location to be able to do make_test
- added custom provides/requires to not trigger modules from demo files
and documentation
